body {
  font-family: sans-serif;
  font-size: 13px;
  padding: 20px;
}

#map-container {
  position: relative;
  margin-top: 20px;
}
#my-map {
  width: 100%;
  height: 500px;
}
#map-background {
  position: absolute;
  z-index: 10000000;
  right: 0;
}
#color-by-option {
  position: absolute;
  z-index: 10000000;
  left: 0;
}
.count {
  position: absolute;
  top: -25px;
  right: 1px;
  padding: 5px;
  border: 1px solid #ccc;
  border-radius: 3px;
  font-size: 10px;
}

.brushButton {
  position: absolute;
  top: 24px;
  right: 1px;
  padding: 5px;
  background-color: #e7a7a7;
  border: 1px solid #ccc;
  border-radius: 3px;
  font-size: 10px;
  cursor: pointer;
  z-index: 10000000;
}

.tooltip {
  position: absolute;
  background: #fff;
  z-index: 1000000;
  box-shadow: 3px 3px 3px 0px rgb(92 92 92 / 0.5);
  border: 1px solid #ddd;
  border-radius: 5px;
  font-size: 12px;
  font-weight: 500;
  padding: 8px;
  color: #333;
}

.tooltip-title {
  color: #000;
  font-size: 14px;
  font-weight: 600;
}

#legend {
  position: absolute;
  bottom: 20px;
  left: 20px;
  background-color: white;
  padding: 10px;
  border-radius: 5px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  z-index: 1000000;
  font-family: Arial, sans-serif;
  font-size: 12px;
  margin-top: 10px;
  max-height: 180px;
  overflow-y: auto;
}

.legend-item {
  display: flex;
  align-items: center;
  margin-bottom: 5px;
}

.legend-color {
  width: 20px;
  height: 20px;
  margin-right: 10px;
}

.legend-label {
  white-space: nowrap;
}

h1 {
  align-self: center;
  font-size: 20px;
  font-weight: bold;
}

h2 {
  font-size: 16px;
  font-weight: normal;
}

/* Layout formatting */
.container {
  display: grid;
  grid-template-columns: 600px 600px;
  grid-template-rows: 30px 510px 300px 30px 500px 30px 450px 100px;
  gap: 30px 10px;
  grid-auto-flow: row;
  grid-template-areas:
    "title search"
    "map map"
    "timeline timeline"
    "heatmapTitle histogramTitle"
    "heat histogram"
    "pieTitle radarTitle"
    "pie radar"
    "pieOptions radarOptions";
}

.title {
  grid-area: title;
}

.search {
  grid-area: search;
}

.map {
  grid-area: map;
}

.timeline {
  grid-area: timeline;
}

.pieTitle {
  grid-area: pieTitle;
  margin-left: 170px;
}

.histogramTitle {
  grid-area: histogramTitle;
  margin-left: 90px;
}

.pie {
  grid-area: pie;
}

.histogram {
  grid-area: histogram;
}

.pieOptions {
  grid-area: pieOptions;
  margin-left: 100px;
}

.radarOptions {
  grid-area: radarOptions;
  margin-left: 70px;
}

.heatmapTitle {
  grid-area: heatmapTitle;
  margin-left: 120px;
}

.radarTitle {
  grid-area: radarTitle;
  margin-left: 140px;
}

.radar {
  grid-area: radar;
}

.heat {
  grid-area: heat;
}
